Class | Bio::TRANSFAC::MATRIX
In: | lib/bio/db/transfac.rb
Parent: | TRANSFAC

### Methods

ba bf de ma na new

### Public Class methods

new(entry)

[Source]

        # File lib/bio/db/transfac.rb, line 90
    90:     def initialize(entry)
    91:       super(entry)
    92:     end

### Public Instance methods

ba()

BA Statistical basis

[Source]

         # File lib/bio/db/transfac.rb, line 132
    132:     def ba
    133:       field_fetch('BA')
    134:     end

bf()

BF List of linked factor entries

[Source]

         # File lib/bio/db/transfac.rb, line 105
    105:     def bf
    106:       field_fetch('bf')
    107:     end

de()

DE Short factor description

[Source]

         # File lib/bio/db/transfac.rb, line 100
    100:     def de
    101:       field_fetch('DE')
    102:     end

ma()

[Source]

         # File lib/bio/db/transfac.rb, line 110
    110:     def ma
    111:       ma_dat = {}
    112:       ma_ary = []
    113:       key = ''
    114:       @orig.each do |k, v|
    115:         if k =~ /^0*(\d+)/
    116:           key = $1.to_i
    117:           ma_dat[key] = fetch(k) unless ma_dat[key]
    118:         end
    119:       end
    120:       ma_dat.keys.sort.each_with_index do |k, i|
    121:         rep_nt = ma_dat[k].slice!(-1, 1)
    122:         ma_dat[k].slice!(-1, 1)
    123:         ma_ary[i] = ma_dat[k].split(/\s+/)
    124:         ma_ary[i].each_with_index do |x, j|
    125:           ma_ary[i][j] = x.to_i
    126:         end
    127:       end
    128:       Matrix[*ma_ary]
    129:     end

na()

NA Name of the binding factor

[Source]

        # File lib/bio/db/transfac.rb, line 95
    95:     def na
    96:       field_fetch('NA')
    97:     end

[Validate]